OPL::Paths Class Reference

## Public Types

enum | Directories { Database , Templates , Backup , Log , Export }

## Static Public Member Functions

static const bool | setup ()
static const QDir | directory (Directories location)
| Returns the QDir for the standard directory referenced by the Directories enum 'loc'.
static const QString | path (Directories location)
static const QString | appDir ()
static const QString | filePath (Directories location, const QString &filename)
static const QFileInfo | databaseFileInfo ()
| returns a QFileInfo for the default database file.

## Static Public Attributes

static const QHash< Directories, QLatin1String > | directories

## Member Data Documentation

## directories

const QHash<Directories, QLatin1String> OPL::Paths::directories

inlinestatic

Initial value:
= {
{Database, QLatin1String("/database")},
{Templates, QLatin1String("/templates")},
{Backup, QLatin1String("/backup")},
{Log, QLatin1String("/log")},
{Export, QLatin1String("/export")},
}

The documentation for this class was generated from the following files:

- src/classes/paths.h
- src/classes/paths.cpp